osl::eval::ml::MajorY< Opening, MajorBasic > Class Template Reference

`#include <majorPiece.h>`

## Public Types

enum | { DIM = 18 }

## Static Public Member Functions

static void | setUp (const Weights &weights)
static int | eval (const NumEffectState &state)

## Static Private Member Functions

static int | index (Piece piece)

## Static Private Attributes

static CArray< int, 18 > | table

## Detailed Description

template<bool Opening, Ptype MajorBasic>
class osl::eval::ml::MajorY< Opening, MajorBasic >

Definition at line 19 of file majorPiece.h.

## Member Enumeration Documentation

## anonymous enum

template<bool Opening, Ptype MajorBasic>

anonymous enum

Enumerator
DIM |

Definition at line 29 of file majorPiece.h.

## Member Function Documentation

## eval()

template<bool Opening, Ptype MajorBasic>

int osl::eval::ml::MajorY< Opening, MajorBasic >::eval | ( | const NumEffectState & | state | ) |

inline static

Definition at line 31 of file majorPiece.h.

References osl::BLACK, index(), osl::Piece::isOnBoard(), osl::Piece::owner(), osl::SimpleState::pieceOf(), and table.

## index()

template<bool Opening, Ptype MajorBasic>

int osl::eval::ml::MajorY< Opening, MajorBasic >::index | ( | Piece | piece | ) |

inline static private

Definition at line 23 of file majorPiece.h.

References osl::BLACK, osl::Piece::isPromoted(), osl::Piece::owner(), osl::Piece::square(), and osl::Square::y().

Referenced by eval().

## setUp()

template<bool Opening, osl::Ptype MajorBasic>

void osl::eval::ml::MajorY< Opening, MajorBasic >::setUp | ( | const Weights & | weights | ) |

static

Definition at line 12 of file majorPiece.cc.

References osl::eval::ml::Weights::dimension(), table, and osl::eval::ml::Weights::value().

## Member Data Documentation

## table

template<bool Opening, osl::Ptype MajorBasic>

osl::CArray< int, 18 > osl::eval::ml::MajorY< Opening, MajorBasic >::table

static private

Definition at line 22 of file majorPiece.h.

Referenced by eval(), and setUp().

The documentation for this class was generated from the following files:

- majorPiece.h
- majorPiece.cc